Hi friends,
Me and my colleague have different size of monitor.
I have a part with many annotations(Notes, Datum etc.)
Capture created in my screen displays all annotations.
But in my colleagues system, due to different(smaller) screen size, all annotations are not visible.
Can you please...
Hi guys,
I am trying to measure distance between a line and a point using below code.
ptref = Partdocument.Part.CreateReferenceFromObject(pt1) 'creating reference from point
refline = Partdocument.Part.CreateReferenceFromObject(line1) 'creating reference from line
'Get measure
TheMeasurable =...
Hi Friends,
Below is the code to get the hybridshapes from each geo set.
Now geo sets are inside another geo set, which is again in another geo set.
'Code
For each hb as hybridbody in part1.hybridbodies '(first level)
For each hb1 as hybridbody in hb.hybridbodies '(second level)...
Hi everyone,
i have a product with multiple L Shaped bracket.
Problem is, all these brackets are Isolated surface.
Now each bracket has a hole( some may have two ).
I need to create a point to the center of this hole.
Request all to provide some solution or pointers, where i can try or create...
Hi everyone,
i remember somebody sharing a macro library file.
i downloaded it, it had lots of useful macros for each.
Due to some reasons i lost that file.
Can somebody please share it again ?
regards,
vik
Hi Friends,
I need a help for a macro.
This is my product structure
Product1
Cylinder
Block
Now i have drawing where i have taken a front view.
I need a macro that will add two callouts or leader with text.
Important thing is, text should be part number i.e. Cylinder and Block.
That...
Hi Friends,
Suppose i have part1. I need to copy all the part1 properties like product name, material, length etc. and apply it or paste it to part2.
Let me know how we can do that. Any suggestion will be helpful.
Thanks
vikt
Hi Friends,
There is an isolated body say a rectangular block under part body.
I would like to change the color of a single face.
Let me know if you guys can help me with a macro for that.
Actually my requirement is to change the color of all the faces for that block.
And i have to do it for...
Hi Friends,
I need suggestions for books on CATIA Automation and CATVBscript.
I already read CATVBScipt by Emmett Ross.
Please suggest some other good books and where i can buy them.
Thanks
vikt
Hi Friends,
I have created this macro to rename all parts ( unique parts) in a product.
Also it will 'save as' the new parts with the new name.
Comments are welcome :)
Thanks
Vikt
*********************************************************
Option Explicit
Sub CATMain()
Dim iCount As Integer
Dim...
Hi everybody,
I am looking for macros for clash analysis in CATIA.
It can be simple or complex code i just need to check how i can access the clash analysis object.
Thanks in advance.
Vik
Hi Friends,
I have written a code for renaming all part's name and instance inside a product.
For eg. if it is part1(part1.1), part2(part2.2)
it will change the number and instance to say vik1(vik1.1),vik2(vik2.2)
I have just started with automation, need suggestion, wht other things i can add...